stages:
  - build
  - deploy

build:
  stage: build
  image: node:12
  before_script:
    - npm install -g cordova
    - npm install -g @ionic/cli
    - npm install
    - node patch.js
  script:
    - ionic cordova build browser --no-interactive --confirm --prod
  artifacts:
    paths:
      - www
  only:
    - development
    - master

deploy_staging:
  stage: deploy
  image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
  script:
    - aws s3 rm s3://dev-immunity-passport.proximaxcity.io --recursive
    - aws s3 cp www/ s3://dev-immunity-passport.proximaxcity.io --acl public-read --sse AES256 --recursive
    - aws cloudfront create-invalidation --distribution-id E2QYXOY7D71PWL --path /*
  only:
    - development

deploy_demo:
  stage: deploy
  image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
  script:
    - aws s3 rm s3://immunity-passport.proximaxcity.io --recursive
    - aws s3 cp www/ s3://immunity-passport.proximaxcity.io --acl public-read --sse AES256 --recursive
    - aws cloudfront create-invalidation --distribution-id E2BOEBWSTJ2G02 --path /*
  only:
    - master
